Page MenuHomePhabricator

ULS "No results found" looks badly styled
Closed, ResolvedPublic

Description

This is how it looks in ULS:

This is how it looks in jquery.uls:

Are there already existing mockups/specs where I could see the expected styling of this text?

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterUpdate jquery.uls to 3161b34

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2017, 7:20 AM
Amire80 triaged this task as Medium priority.Oct 31 2017, 7:11 AM
Amire80 added a subscriber: Amire80.

I agree.

The margin above the "No results found" string is definitely too small.

Here's another screenshot, from Compact Language Links in Zulu Wikipedia, searching for a non-existent language:

We want to provide better spacing around this message since it is the main information piece here. I proposed some spacing adjustments and related changes that may help add some clarity:

  • 20px spacing above and below the "No results found" message.
  • 12px spacing above and below the search indications ("You can search by...")
    • Adjusting the text color to use Base20 (#54595D)
    • Adjust the background to use the same background color as the area above it (#FCFCFC).
    • Add a top border in Base80 (#EAECF0) to separate both areas.
Arrbee raised the priority of this task from Medium to High.Jan 18 2018, 9:19 AM
santhosh claimed this task.Jan 30 2018, 6:32 AM

Upstream fix https://github.com/wikimedia/jquery.uls/pull/293

It might require some skin specific overrides in MW ULS too. Will do that once the upstream PR merged.

Change 407584 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 3161b34

https://gerrit.wikimedia.org/r/407584

Change 407584 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 3161b34

https://gerrit.wikimedia.org/r/407584

Nikerabbit removed a project: Patch-For-Review.

It seems that all specs (specified by @Pginer-WMF) are in place:

cx-testingwmf.17

In IE11 additional 'x' is displayed - I've added the screenshot to the already filed ticket: T173060: Content Translation in IE - UI problems

Etonkovidova closed this task as Resolved.Feb 8 2018, 10:34 PM
Petar.petkovic moved this task from QA to Done on the Language-2018-Jan-Mar board.Feb 8 2018, 11:21 PM